<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/expansiongame.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d8b/expansiongame_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiongame.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d8b/expansiongame_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionGame.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">   15</a></span>    ref <a class="code hl_class" href="../../d0/d22/class_expansion_u_i_manager.html">ExpansionUIManager</a> <a class="code hl_variable" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">m_ExUIManager</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// ExpansionGame Constructor</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ac63493c191dc9b3eda35b05a10679583">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ac63493c191dc9b3eda35b05a10679583">ExpansionGame</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionGame&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ac534a8b3cd1edd1fe1d8809e07317f13">CreateExpansionUIManager</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// ExpansionGame Destructor</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#acd130cc0be8878f2ff5714d8ae4fa6aa">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#acd130cc0be8878f2ff5714d8ae4fa6aa">~ExpansionGame</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="keyword">this</span>, <span class="stringliteral">&quot;~ExpansionGame&quot;</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a0d22d321e4cb0c7ff32f8452af48bab8">DestroyExpansionUIManager</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ExpansionGame CreateExpansionUIManager</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// ------------------------------------------------------------     </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ac534a8b3cd1edd1fe1d8809e07317f13">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ac534a8b3cd1edd1fe1d8809e07317f13">CreateExpansionUIManager</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">m_ExUIManager</a>)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_variable" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">m_ExUIManager</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/d22/class_expansion_u_i_manager.html">ExpansionUIManager</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="comment">// ExpansionGame DestroyExpansionUIManager</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a0d22d321e4cb0c7ff32f8452af48bab8">   55</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a0d22d321e4cb0c7ff32f8452af48bab8">DestroyExpansionUIManager</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">m_ExUIManager</a>)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">m_ExUIManager</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="comment">// ExpansionGame GetExpansionUIManager</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a1d8b3c752b1b6dd62abbcfd3b793b0e4">   64</a></span>    <a class="code hl_class" href="../../d0/d22/class_expansion_u_i_manager.html">ExpansionUIManager</a> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a1d8b3c752b1b6dd62abbcfd3b793b0e4">GetExpansionUIManager</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">m_ExUIManager</a>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="comment">// ExpansionGame FirearmEffects</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a70505b7f1294f197df50b1d672bcf28d">   72</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a70505b7f1294f197df50b1d672bcf28d">FirearmEffects</a>( Object source, Object directHit, <span class="keywordtype">int</span> componentIndex, <span class="keywordtype">string</span> surface, vector pos, vector surfNormal, vector exitPos, vector inSpeed, vector outSpeed, <span class="keywordtype">bool</span> isWater, <span class="keywordtype">bool</span> deflected, <span class="keywordtype">string</span> ammoType ) </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.WEAPONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;FirearmEffects&quot;</span>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="comment">// ExpansionGame OnStart</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#adfbad46926227920ad090f9b0988d202">   82</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#adfbad46926227920ad090f9b0988d202">OnStart</a>()</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">// ExpansionGame OnLoaded</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a516c5be1edb4b5c8534b684d6af71b4b">   89</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a516c5be1edb4b5c8534b684d6af71b4b">OnLoaded</a>()</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="comment">// ExpansionGame OnFinish</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a2fea5764d0b9bbf9a6afd34d6f84b7c2">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a2fea5764d0b9bbf9a6afd34d6f84b7c2">OnFinish</a>()</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="comment">// ExpansionGame OnUpdate</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#aef46c82c57aaeb1ffc8f724a31ff450c">  103</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#aef46c82c57aaeb1ffc8f724a31ff450c">OnUpdate</a>( <span class="keywordtype">bool</span> doSim, <span class="keywordtype">float</span> timeslice ) </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ab288480a76e8bbbaec909b78d231b3a7">  107</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ab288480a76e8bbbaec909b78d231b3a7">WriteRemovedWorldObjects</a>(ParamsReadContext ctx)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ac655f2879360ba765f5e42c81d037701">  111</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ac655f2879360ba765f5e42c81d037701">ReadRemovedWorldObjects</a>(ParamsReadContext ctx)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="comment">// ExpansionGame OnRPC</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a0d8dd6726e1f5a5f133c8ef8e265fe52">  118</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a0d8dd6726e1f5a5f133c8ef8e265fe52">OnRPC</a>( PlayerIdentity sender, Object target, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> ( rpc_type == <a class="code hl_enumeration" href="../../d7/dfd/expansionrpc_8c.html#a3b2af49254c97453b9db93ca9618b710">ExpansionRPC</a>.CreateNotification )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae1cbe17c3f75c5b0a572462f2e484530">RPC_ExpansionCreateNotification</a>( sender, target, ctx );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#acb2857f2d5f3e251033c82d3e5d98b6e">  130</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#acb2857f2d5f3e251033c82d3e5d98b6e">IsMultiplayerClient</a>()</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="comment">        //! Check for `&amp;&amp; IsMultiplayer` is redundant here, comment for clarity</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="comment"></span>        <span class="keywordflow">return</span> GetGame().IsClient() <span class="comment">/* &amp;&amp; GetGame().IsMultiplayer() */</span>;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#aa1470e681772f23aa3ae96ea6153dc39">  136</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#aa1470e681772f23aa3ae96ea6153dc39">IsMultiplayerServer</a>()</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">return</span> GetGame().IsServer() &amp;&amp; GetGame().IsMultiplayer();</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ae354dd6ac98e08af6c3af8ff993e798c">  141</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ae354dd6ac98e08af6c3af8ff993e798c">IsOffline</a>()</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> !GetGame().IsMultiplayer();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#a5298cf0047382618647012792244f284">  146</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#a5298cf0047382618647012792244f284">IsClientOrOffline</a>()</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">return</span> GetGame().IsClient() || !GetGame().IsMultiplayer();</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d2/dd4/class_expansion_game.html#ac3dfe2ad63f42db1d5402d7ae7186fcc">  151</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/dd4/class_expansion_game.html#ac3dfe2ad63f42db1d5402d7ae7186fcc">IsServerOrOffline</a>()</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">        //! Check for `|| !IsMultiplayer` is redundant here, comment for clarity</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment"></span>        <span class="keywordflow">return</span> GetGame().IsServer() <span class="comment">/* || !GetGame().IsMultiplayer() */</span>;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>};</div>
<div class="ttc" id="acf__trace_8c_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d48/cf__trace_8c_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aclass_expansion_game_html"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00013">expansiongame.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a0d22d321e4cb0c7ff32f8452af48bab8"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a0d22d321e4cb0c7ff32f8452af48bab8">ExpansionGame::DestroyExpansionUIManager</a></div><div class="ttdeci">void DestroyExpansionUIManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00055">expansiongame.c:55</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a0d8dd6726e1f5a5f133c8ef8e265fe52"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a0d8dd6726e1f5a5f133c8ef8e265fe52">ExpansionGame::OnRPC</a></div><div class="ttdeci">bool OnRPC(PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00118">expansiongame.c:118</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a1d8b3c752b1b6dd62abbcfd3b793b0e4"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a1d8b3c752b1b6dd62abbcfd3b793b0e4">ExpansionGame::GetExpansionUIManager</a></div><div class="ttdeci">ExpansionUIManager GetExpansionUIManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00064">expansiongame.c:64</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a2fea5764d0b9bbf9a6afd34d6f84b7c2"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a2fea5764d0b9bbf9a6afd34d6f84b7c2">ExpansionGame::OnFinish</a></div><div class="ttdeci">void OnFinish()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00096">expansiongame.c:96</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a516c5be1edb4b5c8534b684d6af71b4b"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a516c5be1edb4b5c8534b684d6af71b4b">ExpansionGame::OnLoaded</a></div><div class="ttdeci">void OnLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00089">expansiongame.c:89</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a5298cf0047382618647012792244f284"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a5298cf0047382618647012792244f284">ExpansionGame::IsClientOrOffline</a></div><div class="ttdeci">static bool IsClientOrOffline()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00146">expansiongame.c:146</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_a70505b7f1294f197df50b1d672bcf28d"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#a70505b7f1294f197df50b1d672bcf28d">ExpansionGame::FirearmEffects</a></div><div class="ttdeci">void FirearmEffects(Object source, Object directHit, int componentIndex, string surface, vector pos, vector surfNormal, vector exitPos, vector inSpeed, vector outSpeed, bool isWater, bool deflected, string ammoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00072">expansiongame.c:72</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_aa1470e681772f23aa3ae96ea6153dc39"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#aa1470e681772f23aa3ae96ea6153dc39">ExpansionGame::IsMultiplayerServer</a></div><div class="ttdeci">static bool IsMultiplayerServer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00136">expansiongame.c:136</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ab288480a76e8bbbaec909b78d231b3a7"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ab288480a76e8bbbaec909b78d231b3a7">ExpansionGame::WriteRemovedWorldObjects</a></div><div class="ttdeci">void WriteRemovedWorldObjects(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00107">expansiongame.c:107</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ac3dfe2ad63f42db1d5402d7ae7186fcc"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ac3dfe2ad63f42db1d5402d7ae7186fcc">ExpansionGame::IsServerOrOffline</a></div><div class="ttdeci">static bool IsServerOrOffline()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00151">expansiongame.c:151</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ac534a8b3cd1edd1fe1d8809e07317f13"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ac534a8b3cd1edd1fe1d8809e07317f13">ExpansionGame::CreateExpansionUIManager</a></div><div class="ttdeci">void CreateExpansionUIManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00044">expansiongame.c:44</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ac63493c191dc9b3eda35b05a10679583"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ac63493c191dc9b3eda35b05a10679583">ExpansionGame::ExpansionGame</a></div><div class="ttdeci">void ExpansionGame()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00020">expansiongame.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ac655f2879360ba765f5e42c81d037701"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ac655f2879360ba765f5e42c81d037701">ExpansionGame::ReadRemovedWorldObjects</a></div><div class="ttdeci">void ReadRemovedWorldObjects(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00111">expansiongame.c:111</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_acb2857f2d5f3e251033c82d3e5d98b6e"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#acb2857f2d5f3e251033c82d3e5d98b6e">ExpansionGame::IsMultiplayerClient</a></div><div class="ttdeci">static bool IsMultiplayerClient()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00130">expansiongame.c:130</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_acd130cc0be8878f2ff5714d8ae4fa6aa"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#acd130cc0be8878f2ff5714d8ae4fa6aa">ExpansionGame::~ExpansionGame</a></div><div class="ttdeci">void ~ExpansionGame()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00032">expansiongame.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ad4f492bf435c1b2eaa91beb5aeae5957"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ad4f492bf435c1b2eaa91beb5aeae5957">ExpansionGame::m_ExUIManager</a></div><div class="ttdeci">ref ExpansionUIManager m_ExUIManager</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00015">expansiongame.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_adfbad46926227920ad090f9b0988d202"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#adfbad46926227920ad090f9b0988d202">ExpansionGame::OnStart</a></div><div class="ttdeci">void OnStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00082">expansiongame.c:82</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_ae354dd6ac98e08af6c3af8ff993e798c"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#ae354dd6ac98e08af6c3af8ff993e798c">ExpansionGame::IsOffline</a></div><div class="ttdeci">static bool IsOffline()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00141">expansiongame.c:141</a></div></div>
<div class="ttc" id="aclass_expansion_game_html_aef46c82c57aaeb1ffc8f724a31ff450c"><div class="ttname"><a href="../../d2/dd4/class_expansion_game.html#aef46c82c57aaeb1ffc8f724a31ff450c">ExpansionGame::OnUpdate</a></div><div class="ttdeci">void OnUpdate(bool doSim, float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d8b/expansiongame_8c_source.html#l00103">expansiongame.c:103</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html">ExpansionUIManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00013">expansionuimanager.c:14</a></div></div>
<div class="ttc" id="aclass_notification_system_html"><div class="ttname"><a href="../../d8/d5d/class_notification_system.html">NotificationSystem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/notificationsystem_8c_source.html#l00013">notificationsystem.c:14</a></div></div>
<div class="ttc" id="aclass_notification_system_html_ae1cbe17c3f75c5b0a572462f2e484530"><div class="ttname"><a href="../../d8/d5d/class_notification_system.html#ae1cbe17c3f75c5b0a572462f2e484530">NotificationSystem::RPC_ExpansionCreateNotification</a></div><div class="ttdeci">static void RPC_ExpansionCreateNotification(PlayerIdentity sender, Object target, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/notificationsystem_8c_source.html#l00204">notificationsystem.c:204</a></div></div>
<div class="ttc" id="aexpansionrpc_8c_html_a3b2af49254c97453b9db93ca9618b710"><div class="ttname"><a href="../../d7/dfd/expansionrpc_8c.html#a3b2af49254c97453b9db93ca9618b710">ExpansionRPC</a></div><div class="ttdeci">ExpansionRPC</div><div class="ttdoc">Misc stuff lives here.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dfd/expansionrpc_8c_source.html#l00409">expansionrpc.c:410</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../d0/d8b/expansiongame_8c.html">expansiongame.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
